Subject: Re: bug#37034: 26.2.90; checkdoc doesn't support cl-defgeneric, cl-defmethod and cl-defun

From: Damien Cassou <[email-masked]>
Date: Sat, 17 Aug 2019 13:45:05 +0200

Lars Ingebrigtsen <[email-masked]> writes:
> Alex Branham <[email-masked]> writes:
>
>> * lisp/emacs-lisp/checkdoc.el (checkdoc--next-docstring)
>> (checkdoc-defun-info): Include cl-defun, cl-defgeneric,
>> cl-defmethod.
>> (checkdoc-this-string-valid-engine): Add cl-lib supported
>> keywords.
>> (checkdoc-defun-info): Ensure function parameters are a
>> "flat" list.  bug#37034
>
> After doing some light testing, this seems to work for me too, and I'm
> applying the patch.

I think there are problems with this patch. I opened a new bug report:
bug#37063.

-- 
Damien Cassou
http://damiencassou.seasidehosting.st

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill